Bug 177277 - Review Request: perl-SQL-Abstract-Limit : Portable LIMIT Emulation
Review Request: perl-SQL-Abstract-Limit : Portable LIMIT Emulation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
:
Depends On: 177276
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-08 13:32 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-09 20:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-01-08 13:32:06 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/perl-SQL-Abstract-Limit.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/perl-SQL-Abstract-Limit-0.12-1.src.rpm
Description: 
Portable LIMIT Emulation

This package is a new BuildRequires for perl-Class-DBI-AbstractSearch.
Comment 1 Jason Tibbitts 2006-02-20 23:50:24 EST
A couple of issues:

The %description is, well, not there.  I know the upstream package doesn't
supply any more detail than that, but perhaps you could write just a couple of
descriptive sentences.

BuildRequires:  perl >= 1:5.6.1  is a bit pointless; Extras only supports back
to FC3 which has perl 5.8.5; I think you have to go back to Red Hat 7.2 to find
a version that wouldn't satisfy that requirement.

Doesn't build in mock (i386, development) due to the inability to resolve a
dependency on perl(DBD::AnyData).  Perhaps this should depend on bug 177276?
Comment 2 Jason Tibbitts 2006-02-21 00:04:37 EST
Also, can you change %build to:

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

I know that technically for a pure Perl module with just one file there's not
much point, but sticklers will want the template followed unless something
actually breaks when you try.
Comment 3 Tom "spot" Callaway 2006-04-01 00:46:26 EST
New SRPM:
http://www.auroralinux.org/people/spot/review/perl-SQL-Abstract-Limit-0.12-2.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/perl-SQL-Abstract-Limit.spec

Note that I didn't add RPM_OPT_FLAGS to a noarch package, as that is just silly.
Comment 4 Jason Tibbitts 2006-04-07 16:25:28 EDT
The package builds cleanly and rpmlint is silent.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   127285b0a59f2a671fd4c411371d4877  SQL-Abstract-Limit-0.12.tar.gz
   127285b0a59f2a671fd4c411371d4877  SQL-Abstract-Limit-0.12.tar.gz-upstream
* package builds in mock.
* BuildRequires are proper.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/SQL, which will probably also be owned by
any module under the SQL:: namespace.  However, none of the dependencies create
this directory so there is no alternative but for this package to own it.

APPROVED
Comment 5 Tom "spot" Callaway 2006-04-09 20:15:46 EDT
Built in repo.

Note You need to log in before you can comment on or make changes to this bug.